Blob Blame History Raw
From 07de085dabab8daaea589b597e3915893cc98445 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Bj=C3=B8rn=20Forsman?= <bjorn.forsman@gmail.com>
Date: Fri, 26 Apr 2019 11:41:02 +0200
Subject: [PATCH 36/62] Use portable shebangs: /bin/bash -> /usr/bin/env bash

Upstream-commit-id: 6a73ca814af
---
 Cryptlib/update.sh | 2 +-
 make-certs         | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/Cryptlib/update.sh b/Cryptlib/update.sh
index 31a082d4db6..7ea59831a06 100755
--- a/Cryptlib/update.sh
+++ b/Cryptlib/update.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
 
 DIR=$1
 OPENSSL_VERSION="1.0.2k"
diff --git a/make-certs b/make-certs
index 3e9293b2497..6f40b234d6a 100755
--- a/make-certs
+++ b/make-certs
@@ -1,10 +1,12 @@
-#!/bin/bash -e
+#!/usr/bin/env bash
 #
 #  Generate a root CA cert for signing, and then a subject cert.
 #  Usage: make-certs.sh hostname [user[@domain]] [more ...]
 #  For testing only, probably still has some bugs in it.
 #
 
+set -e
+
 DOMAIN=xn--u4h.net
 DAYS=365
 KEYTYPE=RSA
-- 
2.26.2